Bug 524004 - bootloader --append= eats console=ttyS0,115200
Summary: bootloader --append= eats console=ttyS0,115200
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 494832
TreeView+ depends on / blocked
 
Reported: 2009-09-17 14:54 UTC by Patrick C. F. Ernzer
Modified: 2009-10-06 14:58 UTC (History)
2 users (show)

Fixed In Version: anaconda-12.32-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-29 15:39:43 UTC


Attachments (Terms of Use)

Description Patrick C. F. Ernzer 2009-09-17 14:54:14 UTC
Description of problem:
using --append in a kickstart file will remove console=ttyS0,115200

Version-Release number of selected component (if applicable):
anaconda 12.15 (the one we have in F12 Alpha)

How reproducible:
always

Steps to Reproduce:
1. install 2 machines as follows
   machine A:
     + boot into kickstart with console=ttyS0,115200
     + use a kickstart file containing:
       bootloader --location=mbr
   machine B:
     + boot into kickstart with console=ttyS0,115200
     + use a kickstart file containing:
       bootloader --location=mbr --append="banana"
2. note, both kickstarts have a one liner in %post that erases 'rhgb quiet' from grub.conf as I need to be able to see what the machines do at boot.
  perl -p -i -e 's/ rhgb quiet//g' /boot/grub/grub.conf
3. let kickstart install finish
4. boot the machines into the freshly installed OS
  
Actual results:
bootloader --location=mbr
ends up being:
Kernel command line: ro root=/dev/mapper/vg_oma01-lv_root
console=ttyS0,115200 LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16
KEYTABLE=us

bootloader --location=mbr --append="banana"
ends up being:
Kernel command line: ro root=/dev/mapper/vg_oma03-lv_root banana
LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us 

Expected results:
if with --append we keep LANG, SYSFONT and KEYTABLE, I would expect it to also keep my console=
This is especially annoying on machines that have only serial output

Additional info:
rawhide today has anaconda 12.25 but that is not installable for me, AttributeError: 'module' object has no attribute 'F12_AutoPart', do tell if you want this tested against a later anaconda or if you need me to write a new rawhide ks file just for this test (seems the autopart is not being digested, so worst case I manually craft partition info for the test)

Comment 1 Chris Lumens 2009-09-22 17:37:58 UTC
Does updates=http://clumens.fedorapeople.org/524004.img fix this problem?  You will definitely need to test this against rawhide.

Comment 2 Patrick C. F. Ernzer 2009-09-23 17:44:14 UTC
anaconda 12.27 bails out with  PartedException: Unable to determine the dm type of /dev/dm-0.

Guess my rawhide mirror is not current enough, will try again Thu or Fri

Comment 3 Chris Lumens 2009-09-23 17:47:25 UTC
No, there's something strange going on with anaconda/parted right now and detecting existing LVs.  You can work around this problem by clearing out the disk, but that may not be possible for you.

Comment 4 Patrick C. F. Ernzer 2009-09-29 13:59:40 UTC
(In reply to comment #1)
> Does updates=http://clumens.fedorapeople.org/524004.img fix this problem?

Yes it does. Thank you.

Do tell once the fix went into anaconda and I can re-test if you want.

Comment 5 Chris Lumens 2009-09-29 15:39:43 UTC
Thanks for testing.  This will be fixed in the next build of anaconda.

Comment 6 Patrick C. F. Ernzer 2009-10-06 14:58:35 UTC
confirm, anaconda-12.32-1 fixes this bug without needing to use the updates.img from Comment #1
Thanks Chris


Note You need to log in before you can comment on or make changes to this bug.